# GungoHo Raffle

## Introduction

The following document provides an overview of the usage of the GungHo Raffle application built on Peerplays Blockchain.

## Create Raffle

### Create Progressive Raffle

Open the 'Admin' panel from the [https://demo2.communityraffles.org/admin/](https://demo2.communityraffles.org/admin/)

![Administrator login page](<../.gitbook/assets/image (14).png>)

Enter the valid admin credentials details and click on ‘Sign In' button, which will redirect to the ‘Admin’ page where 'Fund details’ and different tabs are available

![Default administrator dashboard](<../.gitbook/assets/image (45).png>)

To create a ‘Progressive raffle', Go to the ‘Raffles’ tab and then click on the 'Create New Lottery’ button.

![Raffles page](<../.gitbook/assets/image (63).png>)

Enter the ‘Raffle' details, set Raffle’s ‘Start' and ‘End’ date, and also set the 'Draw’ date.

* **Start Date and Time:** Here, choose from which Date and Time the 'Progressive' raffle would start.
* **End Date and Time:** Select the Date and Time when the 'Progressive' raffle would end.
* **Draw Date and Time:** It is the selected Date and Time of Draw of the 'Progressive' raffle

![](<../.gitbook/assets/image (71).png>)

Now, choose ‘Progressive' from the ‘Draw Type’ drop-down and click on the 'Save’ button

![](<../.gitbook/assets/image (89).png>)

This redirect to the ‘Raffle' tab and the created ‘Progressive’ Raffle would start displaying on the 'Raffle’ list.

### Create Normal Raffle

To create a normal, again need to click on the ‘Create New Lottery' button on the 'Raffle’ tab.

Enter all the information again, but now related to the ‘Normal' raffle. And choose, ‘Normal’ this time from the ‘Draw type’ drop-down and choose the ‘Progressive’ raffle, for which we are creating the 'Normal’ raffle

![](<../.gitbook/assets/image (88).png>)

Now, add a ticket bundle for the ‘Normal’ raffle.

* **Quantity**: Enter the number of tickets that need to be added to a bundle
* **Price:** Enter the bundle price

We can add more bundles by clicking on the '+' icon

![Ticket bundle](<../.gitbook/assets/image (93).png>)

Click on the ‘Save' button, which will redirect to the ‘Raffle’ tab and the created ‘Normal’ bundle would be displayed under the 'Raffle’ list

## Raffle Buying Steps

### Dashboard

Open the dashboard page by opening the link [https://demo2.communityraffles.org/](https://demo2.communityraffles.org/)

Provide the username/password and click “sign-in” and you will be forwarded to the Raffle Dashboard as shown below

![Default user dashboard](<../.gitbook/assets/image (32).png>)

The dashboard provides the following details about the Raffle

* **Funds Raised:** Total available amount pooled by the supporters for the draw
* **Grand Prize:** This is a one time prize which will be 50% of the total funds raised.
* **Next 50-50/50 Jackpot:** The total amount in the jackpot will be drawn on a monthly basis.
* **Next Draw:** Date and time when the next raffle jackpot will be drawn

To buy a raffle click on the “Buy Now” button which will take you to the order page as shown below

### Order

![Order page](<../.gitbook/assets/image (66).png>)

Enter the information requested in the “Your Info” Section and verify your age and acceptance of Terms and conditions by selecting the two checkboxes below.

In the Tickets section, select the number of raffles you wish to buy.

Now select any one of the four Veteran Service Organization you wish to support

If you are a member of this organization select Yes else select No and press “Continue” which will open the payment page as shown below

### Payment

![payment page](<../.gitbook/assets/image (91).png>)

Enter the seller password and click “Buy Now” which will open the confirmation page as shown below

### Confirmation

![Confirmation page](<../.gitbook/assets/image (74).png>)

The raffle ticket number along with the next draw details will be available on the confirmation page.

### Spreading the word

You can share the raffle details by clicking on the social media platform icon or the mail icon from

1. Page Header
2. Share Page which can be accessed by clicking on the “Grow the jackpot” button

![Share page](<../.gitbook/assets/image (80).png>)

## Raffle Administration

### Login

To access the raffle administration page, open the link [https://demo2.communityraffles.org/admin](https://demo2.communityraffles.org/login)

![Login page](<../.gitbook/assets/image (77).png>)

Enter username/password and click “Sign in”. On successful sign in it will forward you to the admin page as shown below:

![Default admin dashboard](<../.gitbook/assets/image (104).png>)

Admin page contains the following details

* Tabs:
  * Beneficiaries
  * Sellers
  * Raffles
  * Tickets
* Details about the ongoing raffle
  * Funds Raised
  * Grand Prize
  * 50-50/50 Jackpot

### Beneficiaries

The beneficiaries page shows the details on the list of beneficiaries for the raffle. There are two types of beneficiaries listed

1. organization: The user/group sponsoring the raffle
2. beneficiary: The benefactor of the raffle.

![List of beneficiaries](<../.gitbook/assets/image (58).png>)

### Sellers

The Sellers page shows the list of sellers for the raffles, number of tickets, and total amount raised by the raffle.

![List of sellers](<../.gitbook/assets/image (11).png>)

The user can filter the ticket sales data based on raffle types by selecting the “Filter by Raffle” drop-down as shown below

![Raffle filter](<../.gitbook/assets/image (29).png>)

### Raffles

Raffles page provides the following details on the list of ongoing raffles:

1. Raffle Name: Name of the Raffle
2. Entries: Total entries for the raffle
3. Jackpot: Total jackpot amount for the raffle
4. Image: The image which will be used on the main dashboard. You can edit the image by clicking on the existing image/clicking the add button and then either
   1. Drag and drop the image file on the space provided and click submit
   2. Click inside the image space and then browse and select the file and press submit.

The new image should be updated and the same should be viewable from the dashboard.

![List of raffles](<../.gitbook/assets/image (76).png>)

### Tickets

Tickets page shows the details on the tickets bought as shown below:

![List of tickets](<../.gitbook/assets/image (72).png>)

The following details are shown:

* Ticket Id: The ticket id for the purchase done by the user. There will be exactly one ticket id entry for purchase but multiple entries id depending upon the amount paid by the supporter.
* Player: Name of the person who has bought the ticket
* Entries: Number of entries bought by the supporter
* Value: Total amount paid by the user to buy the ticket.

You can filter the ticket purchase data based on raffle types by selecting the “Filter by Raffle” dropdown.

If you wish to export the ticket sale data to a CSV file, click on the “CSV export” button. This will download the ticket sales data to your local machine in CSV format.

![CSV details](<../.gitbook/assets/image (106).png>)

To view more details regarding the ticket, click on the respective row in the table. It will navigate it to the ticket details as shown below

![Ticket Details](<../.gitbook/assets/image (38).png>)

The new page will provide the following extra details from the previous page:

1. Email Address
2. Mobile Phone
3. Detachment
4. Entry ids
